# Class DatabaseSetup | EchoHub Documentation

# Class DatabaseSetup

Namespace
  EchoHub.Server.Setup

Assembly
  EchoHub.Server.dll

    public static class DatabaseSetup

Inheritance
  object
  DatabaseSetup

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### InitializeAsync(IServiceProvider)

    public static Task InitializeAsync(IServiceProvider services)

#### Parameters

`services` IServiceProvider

#### Returns

Task